Package: org.codehaus.groovy.grails.cli.fork

## [Groovy] Class ExecutionContext

- org.codehaus.groovy.grails.cli.fork.ExecutionContext

- All Implemented Interfaces and Traits:
    java.io.Serializable

      @groovy.transform.CompileStatic
      class ExecutionContext
      extends java.lang.Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `agentJar`
    `java.util.Map` | `argsMap`
    `java.io.File` | `baseDir`
    `java.util.List<java.io.File>` | `buildDependencies`
    `java.io.File` | `classesDir`
    `int` | `daemonPort`
    `java.lang.String` | `env`
    `java.util.Map` | `forkConfig`
    `java.io.File` | `grailsHome`
    `java.io.File` | `grailsWorkDir`
    `ForkedGrailsProcess` | `process`
    `java.io.File` | `projectPluginsDir`
    `java.io.File` | `projectWorkDir`
    `java.util.List<java.io.File>` | `providedDependencies`
    `java.io.File` | `resourcesDir`
    `java.util.List<java.io.File>` | `runtimeDependencies`
    `java.util.Map<java.lang.String, java.lang.String>` | `systemProps`
    `java.io.File` | `testClassesDir`
    `java.util.List<java.io.File>` | `testDependencies`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExecutionContext ()`
    `ExecutionContext (ForkedGrailsProcess process)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.util.List<java.io.File>` | `buildMinimalIsolatedClasspath(BuildSettings buildSettings)`
    `void` | `initialize(BuildSettings settings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.io.File agentJar

    - #### java.util.Map argsMap

    - #### java.io.File baseDir

    - #### java.util.List<java.io.File> buildDependencies

    - #### java.io.File classesDir

    - #### int daemonPort

    - #### java.lang.String env

    - #### java.util.Map forkConfig

    - #### java.io.File grailsHome

    - #### java.io.File grailsWorkDir

    - #### ForkedGrailsProcess process

    - #### java.io.File projectPluginsDir

    - #### java.io.File projectWorkDir

    - #### java.util.List<java.io.File> providedDependencies

    - #### java.io.File resourcesDir

    - #### java.util.List<java.io.File> runtimeDependencies

    - #### java.util.Map<java.lang.String, java.lang.String> systemProps

    - #### java.io.File testClassesDir

    - #### java.util.List<java.io.File> testDependencies

  - ### Constructor Detail

    - #### ExecutionContext()

    - #### ExecutionContext(ForkedGrailsProcess process)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic protected java.util.List<java.io.File> buildMinimalIsolatedClasspath(BuildSettings buildSettings)

    - #### void initialize(BuildSettings settings)